reportabug Qt application which allows users to create an issue for GitHub projects

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Macros
Public Slots | Public Member Functions | List of all members
Reportabug Class Reference

The Reportabug class is a main class of the application. More...

Inheritance diagram for Reportabug:

## Public Slots
void | sendReport ()
| method which creates an issue More...
void | showWindow ()
| method which updates text and shows window More...
void | updateTabs (const int index)
| method which updates text More...
void | sendReport ()
| method which creates an issue More...
void | showWindow ()
| method which updates text and shows window More...
void | updateTabs (const int index)
| method which updates text More...

## Public Member Functions
| Reportabug (QWidget *parent=0, bool debugCmd=false, QMap< QString, QString > params=QMap< QString, QString >())
| Reportabug class constructor. More...
| ~Reportabug ()
| Reportabug class destructor. More...
void | externalUpdateTab ()
| method which is used for update tabs from external classes More...
void | setCaptchaImage (QPixmap captcha)
| method which sets captcha image More...
| Reportabug (QWidget *parent=0, bool debugCmd=false, QMap< QString, QString > params=QMap< QString, QString >())
| Reportabug class constructor. More...
| ~Reportabug ()
| Reportabug class destructor. More...
void | externalUpdateTab ()
| method which is used for update tabs from external classes More...
void | setCaptchaImage (QPixmap captcha)
| method which sets captcha image More...

## Detailed Description

The Reportabug class is a main class of the application.

## Constructor & Destructor Documentation

Reportabug::Reportabug | ( | QWidget * | parent = `0`,
|  | bool | debugCmd = `false`,
|  | QMap< QString, QString > | params = `QMap< QString, QString >()`
| ) |  |
| explicit

Reportabug class constructor.

Parameters

  parent | parent object
  debugCmd | show debug messages
  params | dynamic parametrs. Needed keys are the same as in config.h

Reportabug::~Reportabug | ( |  | ) |

Reportabug class destructor.

Reportabug::Reportabug | ( | QWidget * | parent = `0`,
|  | bool | debugCmd = `false`,
|  | QMap< QString, QString > | params = `QMap< QString, QString >()`
| ) |  |
| explicit

Reportabug class constructor.

Parameters

  parent | parent object
  debugCmd | show debug messages
  params | dynamic parametrs. Needed keys are the same as in config.h

Reportabug::~Reportabug | ( |  | ) |

Reportabug class destructor.

## Member Function Documentation

void Reportabug::externalUpdateTab | ( |  | ) |

method which is used for update tabs from external classes

void Reportabug::externalUpdateTab | ( |  | ) |

method which is used for update tabs from external classes

void Reportabug::sendReport | ( |  | ) |
| slot

method which creates an issue

void Reportabug::sendReport | ( |  | ) |
| slot

method which creates an issue

void Reportabug::setCaptchaImage | ( | QPixmap | captcha | ) |

method which sets captcha image

Parameters

  captcha | captcha image

void Reportabug::setCaptchaImage | ( | QPixmap | captcha | ) |

method which sets captcha image

Parameters

  captcha | captcha image

void Reportabug::showWindow | ( |  | ) |
| slot

method which updates text and shows window

void Reportabug::showWindow | ( |  | ) |
| slot

method which updates text and shows window

void Reportabug::updateTabs | ( | const int | index | ) |
| slot

method which updates text

Parameters

  index | the current combobox index

void Reportabug::updateTabs | ( | const int | index | ) |
| slot

method which updates text

Parameters

  index | the current combobox index

The documentation for this class was generated from the following file:

- reportabug.h